com.pdfunit.validators

## Class MultiDocumentLocaleValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentLocaleValidator

-     @DoNotObfuscate
      public final class MultiDocumentLocaleValidator
      extends java.lang.Object

  This class validates the locale of a given collection of PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `DocumentValidator.hasLanguageInfo(String)`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentLocaleValidator(MultiDocumentValidator backreference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentValidator` | `hasLanguageInfo(java.util.Locale expectedLocale)` This method does what the name suggests.
    `MultiDocumentValidator` | `hasLanguageInfo(java.lang.String expectedLocale)` This method checks the expected language and country information against the data of each PDF document.
    `MultiDocumentValidator` | `hasNoLanguageInfo()` This method does what the name suggests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentLocaleValidator

          protected MultiDocumentLocaleValidator(MultiDocumentValidator backreference)

  - ### Method Detail

    - #### hasLanguageInfo

          @Guarded
          public MultiDocumentValidator hasLanguageInfo(java.lang.String expectedLocale)

      This method checks the expected language and country information against the data of each PDF document. The allowed format is "language-country" or "language_country". Examples: "en-GB", "de_DE", "ru_RU".

      This method works 'not case sensitive'.

      Parameters:
        `expectedLocale` - "de-DE" oder "de_DE"
      See Also:
        `hasLanguageInfo(Locale)`

    - #### hasLanguageInfo

          @Guarded
          public MultiDocumentValidator hasLanguageInfo(java.util.Locale expectedLocale)

      This method does what the name suggests.
      See Also:
        `hasLanguageInfo(String)`

    - #### hasNoLanguageInfo

          public MultiDocumentValidator hasNoLanguageInfo()

      This method does what the name suggests.

Copyright (C) PDFUnit.com. See here for license.